<?php

$jscode[] = <<<EOC

function select_year_calback(data)
{
  grid_update(grid);
}

function select_year_status(obj, value, html)
{
  if (value.length)
    info('Jahr ' + value + ' ausgewählt');
  else
    info('');
}
EOC;

include_once($_SESSION['sys']['basedir'].'/lib/overview_utils.php');

if (empty($_SESSION['kosten_kostenstellen.year'])) $_SESSION['kosten_kostenstellen.year'] = 0;

$mask = array(
	      'table' => 'einsatz',
	      'title' => 'Kostenaufwand für Kostenstellen',
	      'join' => array('personal ON einsatz.personal = personal.id',
			      'gerate ON einsatz.geraet = gerate.id',
			      'anbaugeraete ON einsatz.anbaugeraet = anbaugeraete.id',
			      'arbeitsarten ON einsatz.arbeiten = arbeitsarten.id',
			      'kostenstellen ON einsatz.kostenstelle = kostenstellen.id',
			      ),
	      'where' => "arbeitsarten.arbeitsart <> 'Urlaub' AND arbeitsarten.arbeitsart <> 'Krank' AND arbeitsarten.arbeitsart <> 'Sonstige Fehltage'"
		       . " AND date_part('year', datum) = " . $_SESSION['kosten_kostenstellen.year']
		       . " GROUP BY kostenstellen.kostenstelle,kostenstellen.id,laenge",
	      'select' => array(
				'title' => 'Auswahl',
				'options' => discover_years(),
				'default' => 'Jahr wählen',
				'selected' => $_SESSION['kosten_kostenstellen.year'],
				'onchange' => "setvar(this,'year',select_year_calback,select_year_status)",
				),
	      'variables' => array(
				   'year' => array(),
				   ),
 	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'sql' => 'kostenstellen.id',
					    ),
			      'kostenstelle' => array(
					    'name' => 'Kostenstelle',
					    'sql' => "kostenstellen.kostenstelle",
					    'width' => 250,
					    'specs' => "filterUI: 's'",
					    ),
			      'laenge' => array(
					    'name' => 'Länge',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 70,
					    ),
			      'gesamtkosten' => array(
					    'name' => 'Gesamtkosten',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 90,
					    'sql' => 'sum(stunden * personal.persstdsatz + ' . 
						     'geraetstunden * gerate.geraetkst_intern + ' .
						     'geraetstunden * anbaugeraete.anbkst_intern)',
					    ),
			      'prolfdm' => array(
					    'name' => 'pro lfdm',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 60,
					    'sql' => 'sum(stunden * personal.persstdsatz + ' . 
						     'geraetstunden * gerate.geraetkst_intern + ' .
						     'geraetstunden * anbaugeraete.anbkst_intern) / laenge',
					    ),
			      ),
	      );

?>
